Bug 8234 - AcceptPathInfo ignored
AcceptPathInfo ignored
Status: CLOSED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: Core
2.0.35
All All
: P3 major (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2002-04-18 02:27 UTC by Simon Wheeler
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Wheeler 2002-04-18 02:27:19 UTC
AcceptPathInfo set to on or default does not appear to work as expected (at 
all) on win32/2k/xp this is on a default win32 binary install with standard 
config
wherever/ however it is used it is ignored a 404 is generated rather than the 
expected lookback in the REQUEST_URI 

i.e.
somehost.com/this.htm/var1/var2/ results in a 404 rather than this.htm+PATH_INFO
Comment 1 Joshua Slive 2002-04-19 22:12:35 UTC
I just tried this on FreeBSD (daedalus to be specific) and I get the same thing.
Here is what I did: placed an .htaccess file in my public_html directory
containing only
AcceptPathInfo On
then requested the file
http://www.apache.org/~slive/index.html/path_info
which gives a 404 even though index.html exisists.

Perhaps I missunderstand this directive entirely, but I thought it should allow
the request in that case.
Comment 2 Cliff Woolley 2002-04-22 08:09:12 UTC
This has been fixed for 2.0.36.  Thanks for using Apache!